Class Fox::FXHorizontalFrame

In: | FXHorizontalFrame.rb
Parent: | FXPacker

The horizontal frame layout manager widget is used to automatically place child-windows horizontally from left-to-right, or right-to-left, depending on the child windows’ layout hints.

Methods

new

Public Class methods

new(parent, opts=0, x=0, y=0, width=0, height=0, padLeft=DEFAULT_SPACING, padRight=DEFAULT_SPACING, padTop=DEFAULT_SPACING, padBottom=DEFAULT_SPACING, hSpacing=DEFAULT_SPACING, vSpacing=DEFAULT_SPACING) {|theHorizontalFrame| ...}

Construct a horizontal frame layout manager.